SapccApiCreateCartRequest
Request parameters for createCart operation in SapccApi. SapccApiCreateCartRequest
interface SapccApiCreateCartRequest {
readonly baseSiteId: string;
readonly fields?: string;
readonly oldCartId?: string;
readonly toMergeCartGuid?: string;
readonly userId: string;
}Properties
| Name | Required | Type | Description |
|---|---|---|---|
baseSiteId | Required | string | Base site identifier {string} SapccApiCreateCart |
fields | Optional | string | Response configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiCreateCart |
oldCartId | Optional | string | Anonymous cart GUID. {string} SapccApiCreateCart |
toMergeCartGuid | Optional | string | The cart GUID that will be merged with the anonymous cart. {string} SapccApiCreateCart |
userId | Required | string | User identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiCreateCart |